### Constructor

# Camel MimeFilterEnriched new

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_enriched_new (
      guint32 flags
    )

#### Description [src]

Create a new `CamelMimeFilterEnriched` object to convert input text streams from text/plain into text/enriched or text/richtext.

#### Parameters

`flags`

  Type: `CamelMimeFilterEnrichedFlags`

  Bitwise set of flags to specify filter behaviour.

#### Return value

Type: `CamelMimeFilter`

A new `CamelMimeFilterEnriched` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.